# Class: LineLinter

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/line_linter.coffee
Inherits: | BaseLinter

## Overview

A class that performs regex checks on each line of the source.

## Variables Summary

configStatement =

      configStatement

## Instance Method Summary

- # (void) acceptRule(rule)
- # (void) lint()
- # (void) lintLine(line) Return an error if the line contained failed a rule, null otherwise.
- # (void) collectInlineConfig(line)
- # (void) createError(rule, attrs = {})

## Inherited Method Summary

### Methods inherited from BaseLinter

#isObject #createError #acceptRule #setupRules #normalizeResult

## Constructor Details

# (void) constructor(source, config, rules, tokensByLine, literate = false)

## Instance Method Details

# (void) acceptRule(rule)

# (void) lint()

# (void) lintLine(line)

Return an error if the line contained failed a rule, null otherwise.

# (void) collectInlineConfig(line)

# (void) createError(rule, attrs = {})

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input